Get Many Competence Levels
Bad Request
Unauthorized
Forbidden
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/competence-level?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "id": "string",
- "employeeId": "string",
- "companyId": "string",
- "competenceEmployeeId": "string",
- "level": "Expert",
- "description": "string"
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Create One Competence Level
Bad Request
Unauthorized
Forbidden
Internal server error
{- "employeeId": "string",
- "competenceEmployeeId": "string",
- "level": "Expert",
- "description": "string"
}{- "status": "ok",
- "data": {
- "id": "string",
- "employeeId": "string",
- "companyId": "string",
- "competenceEmployeeId": "string",
- "level": "Expert",
- "description": "string"
}
}Get One Competence Level
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/competence-level/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "id": "string",
- "employeeId": "string",
- "companyId": "string",
- "competenceEmployeeId": "string",
- "level": "Expert",
- "description": "string"
}, - "relations": { }
}Update One Competence Level
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "level": "string",
- "description": "string"
}{- "status": "ok",
- "data": {
- "id": "string",
- "employeeId": "string",
- "companyId": "string",
- "competenceEmployeeId": "string",
- "level": "Expert",
- "description": "string"
}
}Replace One Competence Level
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "level": "string",
- "description": "string"
}{- "status": "ok",
- "data": {
- "id": "string",
- "employeeId": "string",
- "companyId": "string",
- "competenceEmployeeId": "string",
- "level": "Expert",
- "description": "string"
}
}Delete One Competence Level
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request DELETE \ --url https://api.alexishr.com/v1/competence-level/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": { }
}